## Typing stubs for gevent

This is a [PEP 561](https://peps.python.org/pep-0561/)
type stub package for the [`gevent`](https://github.com/gevent/gevent) package.
It can be used by type-checking tools like
[mypy](https://github.com/python/mypy/),
[pyright](https://github.com/microsoft/pyright),
[pytype](https://github.com/google/pytype/),
[Pyre](https://pyre-check.org/),
PyCharm, etc. to check code that uses `gevent`. This version of
`types-gevent` aims to provide accurate annotations for
`gevent==24.11.*`.

This package is part of the [typeshed project](https://github.com/python/typeshed).
All fixes for types and metadata should be contributed there.
See [the README](https://github.com/python/typeshed/blob/main/README.md)
for more details. The source for this package can be found in the
[`stubs/gevent`](https://github.com/python/typeshed/tree/main/stubs/gevent)
directory.

This package was tested with
mypy 1.13.0,
pyright 1.1.389,
and pytype 2024.10.11.
It was generated from typeshed commit
[`bb0e1e2c160020f350e916edf1008ba93ddd8106`](https://github.com/python/typeshed/commit/bb0e1e2c160020f350e916edf1008ba93ddd8106).